## javax.media.j3d
Class PositionInterpolator

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Behavior
                      javax.media.j3d.Interpolator
                          javax.media.j3d.TransformInterpolator
                              javax.media.j3d.PositionInterpolator

    public class PositionInterpolator

extends TransformInterpolator

Position interpolator behavior. This class defines a behavior that modifies the translational component of its target TransformGroup by linearly interpolating between a pair of specified positions (using the value generated by the specified Alpha object). The interpolated position is used to generate a translation transform along the local X-axis of this interpolator.

Field Summary

Fields inherited from class javax.media.j3d.TransformInterpolator
`axis, axisInverse, target`

Fields inherited from class javax.media.j3d.Interpolator
`defaultWakeupCriterion`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Constructor Summary
`PositionInterpolator(Alpha alpha, TransformGroup target)` Constructs a trivial position interpolator with a specified target, an axisOfTranslation set to Identity, a startPosition of 0.0f, and an endPosition of 1.0f.
`PositionInterpolator(Alpha alpha, TransformGroup target, Transform3D axisOfTransform, float startPosition, float endPosition)` Constructs a new position interpolator that varies the target TransformGroup's translational component (startPosition and endPosition).

Method Summary
`Node` `cloneNode(boolean forceDuplicate)` Used to create a new instance of the node.
`void` `computeTransform(float alphaValue, Transform3D transform)` Computes the new transform for this interpolator for a given alpha value.
`Transform3D` `getAxisOfTranslation()` Deprecated. As of Java 3D version 1.3, replaced by `TransformInterpolator.getTransformAxis()`
`float` `getEndPosition()` This method retrieves this interpolator's endPosition.
`float` `getStartPosition()` This method retrieves this interpolator's startPosition.
`void` `setAxisOfTranslation(Transform3D axisOfTranslation)` Deprecated. As of Java 3D version 1.3, replaced by `TransformInterpolator.setTransformAxis(Transform3D)`
`void` `setEndPosition(float position)` This method sets the endPosition for this interpolator.
`void` `setStartPosition(float position)` This method sets the startPosition for this interpolator.

Methods inherited from class javax.media.j3d.TransformInterpolator
`getTarget, getTransformAxis, processStimulus, setTarget, setTransformAxis, updateNodeReferences`

Methods inherited from class javax.media.j3d.Interpolator
`getAlpha, initialize, setAlpha`

Methods inherited from class javax.media.j3d.Behavior
`getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, getView, getWakeupCondition, postId, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, wakeupOn`

Methods inherited from class javax.media.j3d.Node
`cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PositionInterpolator

    public PositionInterpolator(Alpha alpha,
                                TransformGroup target)

  Constructs a trivial position interpolator with a specified target, an axisOfTranslation set to Identity, a startPosition of 0.0f, and an endPosition of 1.0f.

  Parameters:
    `alpha` - The alpha object for this Interpolator
    `target` - The target for this position Interpolator

### PositionInterpolator

    public PositionInterpolator(Alpha alpha,
                                TransformGroup target,
                                Transform3D axisOfTransform,
                                float startPosition,
                                float endPosition)

  Constructs a new position interpolator that varies the target TransformGroup's translational component (startPosition and endPosition).

  Parameters:
    `alpha` - the alpha object for this interpolator
    `target` - the transformgroup node effected by this positionInterpolator
    `axisOfTransform` - the transform that defines the local coordinate system in which this interpolator operates. The translation is done along the X-axis of this local coordinate system.
    `startPosition` - the starting position
    `endPosition` - the ending position

Method Detail

### setStartPosition

    public void setStartPosition(float position)

  This method sets the startPosition for this interpolator.

  Parameters:
    `position` - The new start position

### getStartPosition

    public float getStartPosition()

  This method retrieves this interpolator's startPosition.

  Returns:
    the interpolator's start position value

### setEndPosition

    public void setEndPosition(float position)

  This method sets the endPosition for this interpolator.

  Parameters:
    `position` - The new end position

### getEndPosition

    public float getEndPosition()

  This method retrieves this interpolator's endPosition.

  Returns:
    the interpolator's end position vslue

### setAxisOfTranslation

    public void setAxisOfTranslation(Transform3D axisOfTranslation)

  Deprecated. As of Java 3D version 1.3, replaced by `TransformInterpolator.setTransformAxis(Transform3D)`

### getAxisOfTranslation

    public Transform3D getAxisOfTranslation()

  Deprecated. As of Java 3D version 1.3, replaced by `TransformInterpolator.getTransformAxis()`

### computeTransform

    public void computeTransform(float alphaValue,
                                 Transform3D transform)

  Computes the new transform for this interpolator for a given alpha value.

  Specified by:
    `computeTransform` in class `TransformInterpolator`
  Parameters:
    `alphaValue` - alpha value between 0.0 and 1.0
    `transform` - object that receives the computed transform for the specified alpha value
  Since:
    Java 3D 1.3

### cloneNode

    public Node cloneNode(boolean forceDuplicate)

  Used to create a new instance of the node. This routine is called by `cloneTree` to duplicate the current node.

  Overrides:
    `cloneNode` in class `Node`
  Parameters:
    `forceDuplicate` - when set to `true`, causes the `duplicateOnCloneTree` flag to be ignored. When `false`, the value of each node's `duplicateOnCloneTree` variable determines whether NodeComponent data is duplicated or copied.
  See Also:
    `Node.cloneTree()`, `Node.cloneNode(boolean)`, `Node.duplicateNode(javax.media.j3d.Node, boolean)`, `NodeComponent.setDuplicateOnCloneTree(boolean)`

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.